Distribution
Get a deal
GET
Scope: distribution:read
apiKeyheader
AuthorizationBearer <ik_live_…>An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.
id*stringOK
application/json- response
[key: string]?anyExample Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/distribution/deals/string'Example Response
{ "deal": { "id": "b5eb0ee8-15e2-47a8-895e-45dc033b521b", "org_id": "8a591ad9-da6a-4ac4-9571-59283662583b", "opportunity_id": "4198be9d-b113-4102-957a-512578a3a11c", "buyer_id": "229ddd61-33a4-415b-bffe-229c992f0d7f", "contact_id": null, "source_request_id": null, "stage": "titles_sent", "territory": "MX", "right_types": [ "AVOD" ], "license_start": null, "license_end": "2026-11-04", "value_amount": null, "currency": "USD", "exclusive": false, "notes": "E2E fixture — opened from the matcher by seed-e2e-distribution.mjs", "won_at": null, "created_by": "ea8eac56-2776-478f-a80f-335ca7cc3632", "created_at": "2026-10-14 09:22:37.916686+00", "updated_at": "2026-10-14 09:22:37.916686+00", "origin": "opportunity", "buyerLabel": "Tubi", "buyerUnresolved": false, "buyerId": "229ddd61-33a4-415b-bffe-229c992f0d7f", "opportunityId": "4198be9d-b113-4102-957a-512578a3a11c", "contactId": null, "sourceRequestId": null, "sourcePortalId": null, "sourcePortalSlug": null, "sourcePortalName": null, "contactName": null, "contactEmail": null, "requestStatus": null, "requestBuyerEmail": null, "supplyKind": "title", "supplyName": "Jaws" }, "titles": [ { "id": "71054a57-91db-497e-a5e4-6b21ed6920b6", "assetId": "3bea9d5f-13d2-4e11-b74b-c1bdf1811ad3", "channelId": null, "status": "proposed", "title": "Jaws" } ], "events": [ { "fromStage": null, "toStage": "titles_sent", "actor": "ea8eac56-2776-478f-a80f-335ca7cc3632", "note": "Opened from opportunity 4198be9d-b113-4102-957a-512578a3a11c.", "createdAt": "2026-10-14 09:22:37.922436+00" } ], "requestEvents": [], "rights": [ { "assetId": "3bea9d5f-13d2-4e11-b74b-c1bdf1811ad3", "title": "Jaws", "type": "movie", "latestEnd": "2026-11-12T00:00:00+00:00", "state": "expiring_soon", "soonestEnd": "2026-11-12T00:00:00+00:00", "scopes": [ "AVOD" ], "territories": [ "WW" ] } ], "emails": [], "screeners": [], "marketing": []}